Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v2
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.certra.protocol.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.certra.protocol.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.protocol.v2

Method Summary
`GenerateCertificateRequest` | `createGenerateCertificateRequest()` Create an instance of `GenerateCertificateRequest`
`GenerateCertificateResponse` | `createGenerateCertificateResponse()` Create an instance of `GenerateCertificateResponse`
`GenerateContractRequest` | `createGenerateContractRequest()` Create an instance of `GenerateContractRequest`
`GenerateContractResponse` | `createGenerateContractResponse()` Create an instance of `GenerateContractResponse`
`GenerateRevocationContractRequest` | `createGenerateRevocationContractRequest()` Create an instance of `GenerateRevocationContractRequest`
`GenerateRevocationContractResponse` | `createGenerateRevocationContractResponse()` Create an instance of `GenerateRevocationContractResponse`
`GetActorQualitiesRequest` | `createGetActorQualitiesRequest()` Create an instance of `GetActorQualitiesRequest`
`GetActorQualitiesResponse` | `createGetActorQualitiesResponse()` Create an instance of `GetActorQualitiesResponse`
`GetCertificateInfoForAuthenticationCertificateRequest` | `createGetCertificateInfoForAuthenticationCertificateRequest()` Create an instance of `GetCertificateInfoForAuthenticationCertificateRequest`
`GetCertificateInfoForAuthenticationCertificateResponse` | `createGetCertificateInfoForAuthenticationCertificateResponse()` Create an instance of `GetCertificateInfoForAuthenticationCertificateResponse`
`GetCertificateInfoForCitizenRequest` | `createGetCertificateInfoForCitizenRequest()` Create an instance of `GetCertificateInfoForCitizenRequest`
`GetCertificateInfoForCitizenResponse` | `createGetCertificateInfoForCitizenResponse()` Create an instance of `GetCertificateInfoForCitizenResponse`
`GetCertificateRequest` | `createGetCertificateRequest()` Create an instance of `GetCertificateRequest`
`GetCertificateResponse` | `createGetCertificateResponse()` Create an instance of `GetCertificateResponse`
`GetExistingApplicationIdsRequest` | `createGetExistingApplicationIdsRequest()` Create an instance of `GetExistingApplicationIdsRequest`
`GetExistingApplicationIdsResponse` | `createGetExistingApplicationIdsResponse()` Create an instance of `GetExistingApplicationIdsResponse`
`GetGenericOrganizationTypesRequest` | `createGetGenericOrganizationTypesRequest()` Create an instance of `GetGenericOrganizationTypesRequest`
`GetGenericOrganizationTypesResponse` | `createGetGenericOrganizationTypesResponse()` Create an instance of `GetGenericOrganizationTypesResponse`
`RevokeRequest` | `createRevokeRequest()` Create an instance of `RevokeRequest`
`RevokeResponse` | `createRevokeResponse()` Create an instance of `RevokeResponse`
`SubmitCSRForForeignerRequest` | `createSubmitCSRForForeignerRequest()` Create an instance of `SubmitCSRForForeignerRequest`
`SubmitCSRForForeignerResponse` | `createSubmitCSRForForeignerResponse()` Create an instance of `SubmitCSRForForeignerResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.protocol.v2

Method Detail

### createGetActorQualitiesRequest

    public GetActorQualitiesRequest createGetActorQualitiesRequest()

  Create an instance of `GetActorQualitiesRequest`

### createGetActorQualitiesResponse

    public GetActorQualitiesResponse createGetActorQualitiesResponse()

  Create an instance of `GetActorQualitiesResponse`

### createGenerateRevocationContractRequest

    public GenerateRevocationContractRequest createGenerateRevocationContractRequest()

  Create an instance of `GenerateRevocationContractRequest`

### createGenerateRevocationContractResponse

    public GenerateRevocationContractResponse createGenerateRevocationContractResponse()

  Create an instance of `GenerateRevocationContractResponse`

### createRevokeRequest

    public RevokeRequest createRevokeRequest()

  Create an instance of `RevokeRequest`

### createRevokeResponse

    public RevokeResponse createRevokeResponse()

  Create an instance of `RevokeResponse`

### createGenerateContractRequest

    public GenerateContractRequest createGenerateContractRequest()

  Create an instance of `GenerateContractRequest`

### createGenerateContractResponse

    public GenerateContractResponse createGenerateContractResponse()

  Create an instance of `GenerateContractResponse`

### createGenerateCertificateRequest

    public GenerateCertificateRequest createGenerateCertificateRequest()

  Create an instance of `GenerateCertificateRequest`

### createGenerateCertificateResponse

    public GenerateCertificateResponse createGenerateCertificateResponse()

  Create an instance of `GenerateCertificateResponse`

### createSubmitCSRForForeignerRequest

    public SubmitCSRForForeignerRequest createSubmitCSRForForeignerRequest()

  Create an instance of `SubmitCSRForForeignerRequest`

### createSubmitCSRForForeignerResponse

    public SubmitCSRForForeignerResponse createSubmitCSRForForeignerResponse()

  Create an instance of `SubmitCSRForForeignerResponse`

### createGetCertificateRequest

    public GetCertificateRequest createGetCertificateRequest()

  Create an instance of `GetCertificateRequest`

### createGetCertificateResponse

    public GetCertificateResponse createGetCertificateResponse()

  Create an instance of `GetCertificateResponse`

### createGetGenericOrganizationTypesRequest

    public GetGenericOrganizationTypesRequest createGetGenericOrganizationTypesRequest()

  Create an instance of `GetGenericOrganizationTypesRequest`

### createGetGenericOrganizationTypesResponse

    public GetGenericOrganizationTypesResponse createGetGenericOrganizationTypesResponse()

  Create an instance of `GetGenericOrganizationTypesResponse`

### createGetExistingApplicationIdsRequest

    public GetExistingApplicationIdsRequest createGetExistingApplicationIdsRequest()

  Create an instance of `GetExistingApplicationIdsRequest`

### createGetExistingApplicationIdsResponse

    public GetExistingApplicationIdsResponse createGetExistingApplicationIdsResponse()

  Create an instance of `GetExistingApplicationIdsResponse`

### createGetCertificateInfoForCitizenRequest

    public GetCertificateInfoForCitizenRequest createGetCertificateInfoForCitizenRequest()

  Create an instance of `GetCertificateInfoForCitizenRequest`

### createGetCertificateInfoForCitizenResponse

    public GetCertificateInfoForCitizenResponse createGetCertificateInfoForCitizenResponse()

  Create an instance of `GetCertificateInfoForCitizenResponse`

### createGetCertificateInfoForAuthenticationCertificateRequest

    public GetCertificateInfoForAuthenticationCertificateRequest createGetCertificateInfoForAuthenticationCertificateRequest()

  Create an instance of `GetCertificateInfoForAuthenticationCertificateRequest`

### createGetCertificateInfoForAuthenticationCertificateResponse

    public GetCertificateInfoForAuthenticationCertificateResponse createGetCertificateInfoForAuthenticationCertificateResponse()

  Create an instance of `GetCertificateInfoForAuthenticationCertificateResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.